org.eclipse.jetty.servlets

## Class IncludableGzipFilter

- java.lang.Object
- - org.eclipse.jetty.servlets.UserAgentFilter
  - - org.eclipse.jetty.servlets.GzipFilter
    - - org.eclipse.jetty.servlets.IncludableGzipFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class IncludableGzipFilter
    extends GzipFilter

Includable GZip Filter. This extension to the `GzipFilter` that uses Jetty features to allow headers to be set during calls to `RequestDispatcher.include(javax.servlet.ServletRequest, javax.servlet.ServletResponse)`. This allows the gzip filter to function correct during includes and to make a decision to gzip or not at the time the buffer fills and on the basis of all response headers. If the init parameter "uncheckedPrintWriter" is set to "true", then the PrintWriter used by the wrapped getWriter will be `UncheckedPrintWriter`.

### Field Summary

### Fields inherited from class org.eclipse.jetty.servlets.GzipFilter

`_bufferSize, _deflateCompressionLevel, _deflateNoWrap, _excludedAgentPatterns, _excludedAgents, _excludedPathPatterns, _excludedPaths, _mimeTypes, _minGzipSize, DEFLATE, GZIP`

### Constructor Summary

Constructors
Constructor and Description
`IncludableGzipFilter()`

### Method Summary

Methods
`protected CompressedResponseWrapper` `createWrappedResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String compressionType)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class org.eclipse.jetty.servlets.GzipFilter

`configureWrappedResponse, destroy, doFilter`

### Methods inherited from class org.eclipse.jetty.servlets.UserAgentFilter

`getUserAgent, getUserAgent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncludableGzipFilter

    public IncludableGzipFilter()

### Method Detail

#### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Overrides:
  `init` in class `GzipFilter`
Throws:
  `javax.servlet.ServletException`
See Also:
  `UserAgentFilter.init(javax.servlet.FilterConfig)`

#### createWrappedResponse

    protected CompressedResponseWrapper createWrappedResponse(javax.servlet.http.HttpServletRequest request,
                                                  javax.servlet.http.HttpServletResponse response,
                                                  String compressionType)

Overrides:
  `createWrappedResponse` in class `GzipFilter`
See Also:
  `GzipFilter.createWrappedResponse(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.String)`